%define module_name Pod-Minicpandoc
# BEGIN SourceDeps(oneline):
BuildRequires: perl(App/pod2pdf.pm) perl(Archive/Tar.pm) perl(Archive/Zip.pm) perl(CPAN.pm) perl(Capture/Tiny.pm) perl(ExtUtils/CBuilder.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Spec.pm) perl(HTTP/Tiny.pm) perl(IO/All.pm) perl(IO/Socket/SSL.pm) perl(IO/Uncompress/Gunzip.pm) perl(JSON.pm) perl(JSON/PP.pm) perl(LWP/Simple.pm) perl(Module/Build.pm) perl(Module/Manifest/Skip.pm) perl(Net/FTP.pm) perl(Net/SSLeay.pm) perl(Parse/CPAN/Meta.pm) perl(Pod/Markdown.pm) perl(Pod/Perldoc.pm) perl(YAML/Tiny.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.16
Release: alt1
Summary: perldoc that works for modules you don't have installed
Group: Development/Perl
License: perl
URL: https://github.com/hoelzro/pod-minicpandoc

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/R/RH/RHOELZ/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
`mcpandoc' is a perl script that acts like `perldoc' except that
if it would have bailed out with
`No documentation found for "Uninstalled::Module"', it will instead
consult your minicpan, or scrape a CPAN index for the module's documentation
if that doesn't work.  It is a fork of the cpandoc manpage, with added support for
consulting a minicpan.

One important feature of `mcpandoc' is that it *only* scrapes the
live index if you do not have the module installed and if it cannot grab it
from your minicpan. So if you use `mcpandoc' on a module you already have
installed, then it will just read the already-installed documentation. This
means that the version of the documentation matches up with the version of the
code you have. As a fringe benefit, `mcpandoc' will be fast for
modules you've installed. :)

All this means that you should be able to drop in `mcpandoc' in
place of `perldoc' and have everything keep working.  See
the SNEAKY INSTALL entry elsewhere in this document for how to do this.

If you set the environment variable `MCPANDOC_FETCH' to a true value,
then we will print a message to STDERR telling you that `mcpandoc' is
going to make a request against the live CPAN index.

%package scripts
Summary: %module_name scripts
Group: Development/Perl
Requires: %{?epoch:%epoch:}%name = %version-%release

%description scripts
scripts for %module_name


%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build INSTALLMAN1DIR=%_man1dir

%install
%perl_vendor_install

%files
%doc README Changes
%perl_vendor_privlib/P*

%files scripts
%_man1dir/*
%_bindir/*

%changelog
* Wed Aug 02 2017 Igor Vlasenko <viy@altlinux.ru> 0.16-alt1
- regenerated from template by package builder

* Mon Oct 14 2013 Igor Vlasenko <viy@altlinux.ru> 0.15-alt1
- initial import by package builder

